Subject: Re: [GSoC][RFC PATCH] show-branch: use commit-slab for flag storage

From: Junio C Hamano <[email-masked]>
Date: Fri, 21 Feb 2025 09:15:07 -0800

Jeff King <[email-masked]> writes:

> Yeah. I did not see the word "stride" anywhere in your email, so I
> wanted to provide a further hint: the commit-slab "_with_stride()"
> variant is meant to handle this kind of arbitrary-sized data. This was
> part of the original commit-slab implementation in a84b794ad0
> (commit-slab: introduce a macro to define a slab for new type,
> 2013-04-13), but AFAIK we've never actually used it in practice. See
> that commit for some examples.

Wow, after reading the log message of that commit, I realize that we
already were considering that one-bit-per-ref needs dynamic scaling
and folks must have been thinking hard about it (I do not think the
author of the commit alone thought it---it must have been a group
effort on the list, which the log message merely explains the motivation
behind the design).

Thanks for a pointer ;-)